Package: org.codehaus.groovy.ant

## [Java] Class AntProjectPropertiesDelegate

- org.codehaus.groovy.ant.AntProjectPropertiesDelegate

-     public class AntProjectPropertiesDelegate
      extends Hashtable

- - ### Constructor Summary

    Constructors
    Constructor and description
    `AntProjectPropertiesDelegate (Project project)`
    `AntProjectPropertiesDelegate (Map t)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `clear()` throws: UnsupportedOperationException is always thrown when this method is invoked.
    `` | `public Object` | `clone()`
    `` | `public boolean` | `contains(Object value)`
    `` | `public boolean` | `containsKey(Object key)`
    `` | `public boolean` | `containsValue(Object value)`
    `` | `public Enumeration` | `elements()`
    `` | `public Set` | `entrySet()`
    `` | `public boolean` | `equals(Object o)`
    `` | `public Object` | `get(Object key)`
    `` | `public int` | `hashCode()`
    `` | `public boolean` | `isEmpty()`
    `` | `public Set` | `keySet()`
    `` | `public Enumeration` | `keys()`
    `` | `public Object` | `put(Object key, Object value)`
    `` | `public void` | `putAll(Map t)`
    `` | `public Object` | `remove(Object key)` throws: UnsupportedOperationException is always thrown when this method is invoked.
    `` | `public int` | `size()`
    `` | `public String` | `toString()`
    `` | `public Collection` | `values()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Hashtable` | `remove, remove, get, put, equals, toString, values, hashCode, clone, clear, isEmpty, replace, replace, contains, replaceAll, elements, size, merge, entrySet, putAll, putIfAbsent, compute, forEach, containsKey, computeIfAbsent, keys, containsValue, keySet, getOrDefault, computeIfPresent, wait, wait, wait, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public AntProjectPropertiesDelegate(Project project)

    - #### public AntProjectPropertiesDelegate(Map t)

  - ### Method Detail

    - #### public void clear()

      throws:
        UnsupportedOperationException is always thrown when this method is invoked. The Project properties are immutable.

    - #### @edu.umd.cs.findbugs.annotations.SuppressFBWarnings(value = "CN_IDIOM_NO_SUPER_CALL", justification = "Okay for our use case. The cloned delegate should have the correct type.") public Object clone()

    - #### public boolean contains(Object value)

    - #### public boolean containsKey(Object key)

    - #### public boolean containsValue(Object value)

    - #### public Enumeration elements()

    - #### public Set entrySet()

    - #### public boolean equals(Object o)

    - #### public Object get(Object key)

    - #### public int hashCode()

    - #### public boolean isEmpty()

    - #### public Set keySet()

    - #### public Enumeration keys()

    - #### public Object put(Object key, Object value)

    - #### public void putAll(Map t)

    - #### public Object remove(Object key)

      throws:
        UnsupportedOperationException is always thrown when this method is invoked. The Project properties are immutable.

    - #### public int size()

    - #### public String toString()

    - #### public Collection values()